{% extends 'base.html.twig' %}

{% block body %}
  <div id="wrapper">
    <div id="container">
      <table width="600" height='200' style="margin: auto">
        <td>
          <form action="/results" method='get'>
            <input name='keyword' placeholder="keyword"/>
            <select name='location'>
              <option value='' selected="selected" disabled="disabled">Location</option>
              <option value='losangeles'>Los Angeles</option>
              <option value='newyork'>New York</option>
              <option value='philadelphia'>Philadelphia</option>
            </select>
            <select name="category">
              <option value='' selected="selected" disabled="disabled">Category</option>
              <option value='sport'>Sport</option>
              <option value='hospitality'>Hospitality</option>
            </select>
            <button type="submit" class='btn'>&nbsp;Search &nbsp;</button>
          </form>
        </td>
      </table>
      <h3 class="text-center"> Results for keyword "{{ keyword }}":</h3>
      <br>
      <table class="table table-striped" width="900" style="margin: auto">
        <thead>
          <tr>
            <th>ID</th>
            <th>Name</th>
            <th>Description</th>
            <th>Start</th>
            <th>Finish</th>
            <th>Location</th>
            <th>Category</th>
          </tr>
        </thead>
        {% for event in events %}
          <tr>
            <td>{{ event.id }}</td>
            <td>{{ event.name }}</td>
            <td>{{ event.description }}</td>
            <td>{{ event.start|date('m/d/Y H:i:s') }}</td>
            <td>{{ event.finish|date('m/d/Y H:i:s') }}</td>
            <td>{{ event.location }}</td>
            <td>{{ event.category }}</td>
          </tr>
        {% endfor %}
      </table>
    </div>
  </div>
{% endblock %}
